%define upstream_name    Acme-Brainfuck
%define upstream_version 1.1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Embed Brainfuck in your perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Brainfuck is about the tiniest Turing-complete programming language you can
get. A language is Turing-complete if it can model the operations of a
Turing machine--an abstract model of a computer defined by the British
mathematician Alan Turing in 1936. A Turing machine consists only of an
endless sequence of memory cells and a pointer to one particular memory
cell. Yet it is theoretically capable of performing any computation. With
this module, you can embed Brainfuck instructions delimited by whitespace
into your perl code. It will be translated into Perl as parsed. Brainfuck
has just just 8 instructions (well more in this implementation, see the
/"Extensions to ANSI Brainfuck" manpage below.) which are as follows

Instructions
    * + Increment

      Increase the value of the current memory cell by one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Mon Nov 07 2011 kharec <kharec> 1.1.1-1.mga2
+ Revision: 165065
- imported package perl-Acme-Brainfuck

